Bug 55740 - rebooting the machine causes a panic when the e1000 devices try to start
rebooting the machine causes a panic when the e1000 devices try to start
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-05 16:51 EST by Bryan Leopard
Modified: 2007-04-18 12:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-06 04:56:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Leopard 2001-11-05 16:51:42 EST
after adding 9 devices (which ifconfig showed), rebooting the machine 
causes a panic when the e1000 devices tries to start.

Linux nsc249.txn.cpqcorp.net 2.4.7-10smp #1 SMP Thu Sep 6 17:09:31 EDT 
2001 i686 unknown
Red Hat Linux release 7.2 (Enigma)

Oops
---------------------------------------------------------------------------
---------------
Bringing up interface eth7:                     [OK]
Bringing up interface eth8:  Oops:0000
CPU:    0
EIP:    0010:[<c01d1f08>]
EFLAGS: 0010292
eax: 0000005c   ebx: 00000060   ecx: 00000017   edx: 00000d94
esi: 00000286   edi: c67b01d0   edp: 0000005c   esp: c50c1c70
ds: 0018    es: 0018     ss: 0018
Process ip (pid: 1284, stackpage=c50c1000)
Stack: 00000060 c67b01cc c123e400 c51c31e0 00000000 c01d2446 c51c31e0 
00000007
       0000005c 00000286 c12288a0 c67b0170 c67b0170 000005dc c123e400 
00000002
       c51def20 c51c31e0 c01d2505 c51c31e0 c123e400 00000010 00000504 
3be06f4b
Call Trace: c01d2446 c01d2505 c020dad7 c020dd44 c8837995
            c01d2836 c01d24b0 c01d2650 c8826ec2 c8836ec2 c020d95a
            c020d320 c020d7eb c012dd9a c01c55fc c01c50f2 c01c6530
            c01170e0 c0117286 c01c5f63 c01c536c c01c6d2b c010716b
 
Code: f3 a5 a8 02 74 02 66 a5 a8 01 74 01 a4 5b 5b 5e 5f 5d c3 90


ksymops
---------------------------------------------------------------------------
---------------
ksymoops 2.4.1 on i686 2.4.7-10smp.  Options used
     -V (default)
     -k /proc/ksyms (default)
     -l /proc/modules (default)
     -o /lib/modules/2.4.7-10smp/ (default)
     -m /boot/System.map-2.4.7-10smp (default)

Warning: You did not tell me where to find symbol information.  I will
assume that the log matches the kernel and modules that are running
right now and I'll use the default options above for symbol resolution.
If the current kernel and/or modules do not match the log, you can get
more accurate output by telling me the kernel version and where to find
map, modules, ksyms etc.  ksymoops -h explains the options.

Error (expand_objects): cannot stat(/lib/ext3.o) for ext3
Error (expand_objects): cannot stat(/lib/jbd.o) for jbd
Error (expand_objects): cannot stat(/lib/sym53c8xx.o) for sym53c8xx
Error (expand_objects): cannot stat(/lib/sd_mod.o) for sd_mod
Error (expand_objects): cannot stat(/lib/scsi_mod.o) for scsi_mod
Warning (compare_maps): mismatch on symbol partition_name  , ksyms_base 
says c01bf9b0, System.map says c015fa20.  Ignoring ksyms_base entry
Warning (map_ksym_to_module): cannot match loaded module ext3 to a unique 
module object.  Trace may not be reliable.
Warning (compare_maps): mismatch on symbol sd  , sd_mod says 
c881cce4, /lib/modules/2.4.7-10smp/kernel/drivers/scsi/sd_mod.o says 
c881cba0.  Ignoring /lib/modules/2.4.7-10smp/kernel/drivers/scsi/sd_mod.o 
entry
Warning (compare_maps): mismatch on symbol proc_scsi  , scsi_mod says 
c8818088, /lib/modules/2.4.7-10smp/kernel/drivers/scsi/scsi_mod.o says 
c8816910.  Ignoring /lib/modules/2.4.7-
10smp/kernel/drivers/scsi/scsi_mod.o entry
Warning (compare_maps): mismatch on symbol scsi_devicelist  , scsi_mod 
says c88180b4, /lib/modules/2.4.7-10smp/kernel/drivers/scsi/scsi_mod.o 
says c881693c.  Ignoring /lib/modules/2.4.7-
10smp/kernel/drivers/scsi/scsi_mod.o entry
Warning (compare_maps): mismatch on symbol scsi_hostlist  , scsi_mod says 
c88180b0, /lib/modules/2.4.7-10smp/kernel/drivers/scsi/scsi_mod.o says 
c8816938.  Ignoring /lib/modules/2.4.7-
10smp/kernel/drivers/scsi/scsi_mod.o entry
Warning (compare_maps): mismatch on symbol scsi_hosts  , scsi_mod says 
c88180b8, /lib/modules/2.4.7-10smp/kernel/drivers/scsi/scsi_mod.o says 
c8816940.  Ignoring /lib/modules/2.4.7-
10smp/kernel/drivers/scsi/scsi_mod.o entry
Warning (compare_maps): mismatch on symbol scsi_logging_level  , scsi_mod 
says c8818084, /lib/modules/2.4.7-10smp/kernel/drivers/scsi/scsi_mod.o 
says c881690c.  Ignoring /lib/modules/2.4.7-
10smp/kernel/drivers/scsi/scsi_mod.o entry
CPU:    0
EIP:    0010:[<c01d1f08>]
Using defaults from ksymoops -t elf32-i386 -a i386
EFLAGS: 0010292
eax: 0000005c   ebx: 00000060   ecx: 00000017   edx: 00000d94
esi: 00000286   edi: c67b01d0   edp: 0000005c   esp: c50c1c70
ds: 0018    es: 0018     ss: 0018
Process ip (pid: 1284, stackpage=c50c1000)
Stack: 00000060 c67b01cc c123e400 c51c31e0 00000000 c01d2446 c51c31e0 
00000007
       0000005c 00000286 c12288a0 c67b0170 c67b0170 000005dc c123e400 
00000002
       c51def20 c51c31e0 c01d2505 c51c31e0 c123e400 00000010 00000504 
3be06f4b
Call Trace: c01d2446 c01d2505 c020dad7 c020dd44 c8837995
            c01d2836 c01d24b0 c01d2650 c8826ec2 c8836ec2 c020d95a
            c020d320 c020d7eb c012dd9a c01c55fc c01c50f2 c01c6530
            c01170e0 c0117286 c01c5f63 c01c536c c01c6d2b c010716b
Code: f3 a5 a8 02 74 02 66 a5 a8 01 74 01 a4 5b 5b 5e 5f 5d c3 90

>>EIP; c01d1f08 <__rta_fill+88/a0>   <=====
Trace; c01d2446 <rtnetlink_fill_ifinfo+3b6/420>
Trace; c01d2505 <rtnetlink_dump_ifinfo+55/70>
Trace; c020dad7 <netlink_dump+77/1d0>
Trace; c020dd44 <netlink_dump_start+114/120>
Trace; c8837995 <[jbd]journal_stop+1a5/1c0>
Code;  c01d1f08 <__rta_fill+88/a0>
00000000 <_EIP>:
Code;  c01d1f08 <__rta_fill+88/a0>   <=====
   0:   f3 a5                     repz movsl %ds:(%esi),%es:(%edi)   <=====
Code;  c01d1f0a <__rta_fill+8a/a0>
   2:   a8 02                     test   $0x2,%al
Code;  c01d1f0c <__rta_fill+8c/a0>
   4:   74 02                     je     8 <_EIP+0x8> c01d1f10 
<__rta_fill+90/a0>
Code;  c01d1f0e <__rta_fill+8e/a0>
   6:   66 a5                     movsw  %ds:(%esi),%es:(%edi)
Code;  c01d1f10 <__rta_fill+90/a0>
   8:   a8 01                     test   $0x1,%al
Code;  c01d1f12 <__rta_fill+92/a0>
   a:   74 01                     je     d <_EIP+0xd> c01d1f15 
<__rta_fill+95/a0>
Code;  c01d1f14 <__rta_fill+94/a0>
   c:   a4                        movsb  %ds:(%esi),%es:(%edi)
Code;  c01d1f15 <__rta_fill+95/a0>
   d:   5b  pop    %ebx
Code;  c01d1f16 <__rta_fill+96/a0>
   e:   5b                        pop    %ebx
Code;  c01d1f17 <__rta_fill+97/a0>
   f:   5e                        pop    %esi
Code;  c01d1f18 <__rta_fill+98/a0>
  10:   5f                        pop    %edi
Code;  c01d1f19 <__rta_fill+99/a0>
  11:   5d                        pop    %ebp
Code;  c01d1f1a <__rta_fill+9a/a0>
  12:   c3                        ret    
Code;  c01d1f1b <__rta_fill+9b/a0>
  13:   90                        nop    


9 warnings and 5 errors issued.  Results may not be reliable.
Comment 1 Arjan van de Ven 2001-11-06 04:56:40 EST
Don't use 2.4.7-10 smp with e1000; known bug.
Please use the 2.4.9 errata release....

Note You need to log in before you can comment on or make changes to this bug.